Bug 257394 - databases/mongodb50: Update to 5.0.1
Summary: databases/mongodb50: Update to 5.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL: https://docs.mongodb.com/manual/relea...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-24 18:41 UTC by Ronald Klop
Modified: 2021-07-27 06:17 UTC (History)
1 user (show)

See Also:
ygy: merge-quarterly+


Attachments
git diff (3.50 KB, patch)
2021-07-24 18:41 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff
git diff (2.95 KB, patch)
2021-07-25 20:21 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-07-24 18:41:34 UTC
Created attachment 226654 [details]
git diff

Pretty simple version bump.

- Plus a fix for compilation on aarch64 on 14-CURRENT/clang 12.
See: https://lists.freebsd.org/archives/freebsd-ports/2021-July/000431.html
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-25 01:29:09 UTC
^Triage: Bugfix (only) release + freebsd build fix:

  MFH: 2020Q3
Comment 2 Ronald Klop 2021-07-25 07:21:30 UTC
Comment on attachment 226654 [details]
git diff

I forgot to remove some commented trial code from the Makefile.
You can remove it before commit or Iā€™ll remove it on the next update of the port.
Comment 3 Guangyuan Yang freebsd_committer 2021-07-25 07:39:52 UTC
(In reply to Ronald Klop from comment #2)

Please feel free to update the patch, thanks!
Comment 4 Ronald Klop 2021-07-25 20:21:26 UTC
Created attachment 226689 [details]
git diff

Functionally the same diff. Just removed some commented debug code from the Makefile.
Comment 5 commit-hook freebsd_committer 2021-07-27 05:33:23 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6294ed8d0ef9fecae8cda824c1a112d951dc5273

commit 6294ed8d0ef9fecae8cda824c1a112d951dc5273
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-07-27 05:28:44 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-27 05:28:44 +0000

    databases/mongodb50: Update to 5.0.1

    - Add a fix for compilation on aarch64 on 14-CURRENT/clang 12.
    See: https://lists.freebsd.org/archives/freebsd-ports/2021-July/000431.html

    Changelog:      https://docs.mongodb.com/manual/release-notes/5.0-changelog/#5.0.1-changelog

    PR:             257394
    MFH:            2021Q3 (bugfix release)
    Approved by:    lwhsu (mentor, implicit)

 databases/mongodb50/Makefile               |  2 +-
 databases/mongodb50/distinfo               |  6 +++---
 databases/mongodb50/files/patch-SConstruct | 18 ++++++++++++++----
 3 files changed, 18 insertions(+), 8 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-07-27 06:08:29 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=474648af20521ab0886d8fa6b98b8932d233adc4

commit 474648af20521ab0886d8fa6b98b8932d233adc4
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-07-27 05:28:44 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-27 05:47:27 +0000

    databases/mongodb50: Update to 5.0.1

    - Add a fix for compilation on aarch64 on 14-CURRENT/clang 12.
    See: https://lists.freebsd.org/archives/freebsd-ports/2021-July/000431.html

    Changelog:      https://docs.mongodb.com/manual/release-notes/5.0-changelog/#5.0.1-changelog

    PR:             257394
    Approved by:    lwhsu (mentor, implicit)

    (cherry picked from commit 6294ed8d0ef9fecae8cda824c1a112d951dc5273)

 databases/mongodb50/Makefile               |  2 +-
 databases/mongodb50/distinfo               |  6 +++---
 databases/mongodb50/files/patch-SConstruct | 18 ++++++++++++++----
 3 files changed, 18 insertions(+), 8 deletions(-)
Comment 7 Guangyuan Yang freebsd_committer 2021-07-27 06:17:01 UTC
Committed, thanks!